VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceExclusiveScissorFeaturesNV (Bool32 exclusiveScissor_=0)
| PhysicalDeviceExclusiveScissorFeaturesNV (VkPhysicalDeviceExclusiveScissorFeaturesNV const &rhs)
PhysicalDeviceExclusiveScissorFeaturesNV & | operator= (VkPhysicalDeviceExclusiveScissorFeaturesNV const &rhs)
PhysicalDeviceExclusiveScissorFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceExclusiveScissorFeaturesNV & | setExclusiveScissor (Bool32 exclusiveScissor_)
| operator VkPhysicalDeviceExclusiveScissorFeaturesNV const & () const
| operator VkPhysicalDeviceExclusiveScissorFeaturesNV & ()
bool | operator== (PhysicalDeviceExclusiveScissorFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceExclusiveScissorFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | exclusiveScissor

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceExclusiveScissorFeaturesNV

## Detailed Description

Definition at line 19499 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceExclusiveScissorFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::PhysicalDeviceExclusiveScissorFeaturesNV | ( | Bool32 | exclusiveScissor_ = `0` | ) |

inline

Definition at line 19501 of file vulkan.hpp.

: exclusiveScissor( exclusiveScissor_ )
{
}

## PhysicalDeviceExclusiveScissorFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::PhysicalDeviceExclusiveScissorFeaturesNV | ( | VkPhysicalDeviceExclusiveScissorFeaturesNV const & | rhs | ) |

inline

Definition at line 19506 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceExclusiveScissorFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceExclusiveScissorFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::operator VkPhysicalDeviceExclusiveScissorFeaturesNV & | ( |  | ) |

inline

Definition at line 19533 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceExclusiveScissorFeaturesNV*>(this);
}

## operator VkPhysicalDeviceExclusiveScissorFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::operator VkPhysicalDeviceExclusiveScissorFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19528 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceExclusiveScissorFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::operator!= | ( | PhysicalDeviceExclusiveScissorFeaturesNV const & | rhs | ) | const

inline

Definition at line 19545 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceExclusiveScissorFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::operator= | ( | VkPhysicalDeviceExclusiveScissorFeaturesNV const & | rhs | ) |

inline

Definition at line 19511 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceExclusiveScissorFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::operator== | ( | PhysicalDeviceExclusiveScissorFeaturesNV const & | rhs | ) | const

inline

Definition at line 19538 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( exclusiveScissor == rhs.exclusiveScissor );
}

References exclusiveScissor, pNext, and sType.

Referenced by operator!=().

## setExclusiveScissor()

PhysicalDeviceExclusiveScissorFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::setExclusiveScissor | ( | Bool32 | exclusiveScissor_ | ) |

inline

Definition at line 19522 of file vulkan.hpp.

{
exclusiveScissor = exclusiveScissor_;
return *this;
}

References exclusiveScissor.

## setPNext()

PhysicalDeviceExclusiveScissorFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19516 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## exclusiveScissor

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::exclusiveScissor

Definition at line 19555 of file vulkan.hpp.

Referenced by operator==(), and setExclusiveScissor().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::pNext = nullptr

Definition at line 19554 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::sType = StructureType::ePhysicalDeviceExclusiveScissorFeaturesNV

private

Definition at line 19551 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::exclusiveScissor
Bool32 exclusiveScissor
Definition: vulkan.hpp:19555
VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19551
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::operator==
bool operator==(PhysicalDeviceExclusiveScissorFeaturesNV const &rhs) const
Definition: vulkan.hpp:19538
VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::PhysicalDeviceExclusiveScissorFeaturesNV
PhysicalDeviceExclusiveScissorFeaturesNV(Bool32 exclusiveScissor_=0)
Definition: vulkan.hpp:19501
VkPhysicalDeviceExclusiveScissorFeaturesNV
Definition: vulkan_core.h:8745
VULKAN_HPP_NAMESPACE::PhysicalDeviceExclusiveScissorFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19554